<?php 

$deletecsrfvalid=false;
if(isset($_POST['deltecsrf'])&& wp_verify_nonce($_POST['deltecsrf'],'deltecsrf'))
{
  $deletecsrfvalid=true;
}
if(isset( $deletecsrfvalid))
{
   $wpsociline_my_checkbox = sanitize_text_field($_POST['wpsociline_b']);
     update_option( 'wpsociline_userid',$wpsociline_my_checkbox );
     
}
     ?>